SET ROLE dev;
SET ROLE slony;

DROP RULE research_groups_computing_ins ON public.research_groups_computing_view;
DROP RULE socket_ins ON public.socket_view;
DROP RULE socket_upd ON public.socket_view;
DROP RULE system_image_all_ins ON public.system_image_all_view;
DROP RULE system_image_all_upd ON public.system_image_all_view;
DROP RULE telephone_management_ins ON public.telephone_management_view;
DROP RULE telephone_management_upd ON public.telephone_management_view;
DROP RULE research_group_editing_ins ON public.research_group_editing_view;
DROP FUNCTION public.research_groups_computing_upd(research_groups_computing_view);
DROP FUNCTION public.fn_socket_insert_or_update(socket_view);
DROP FUNCTION public.fn_system_image_all_upd(system_image_all_view);
DROP FUNCTION public.fn_telephone_mgmt_upd(telephone_management_view);
DROP FUNCTION public.research_group_ins(research_group_editing_view);

DROP VIEW public.all_group_computers_report;
DROP VIEW public.building_floors_view;
DROP VIEW public.building_regions_view;
DROP VIEW public.buildings_view;
DROP VIEW public.cabinet_patch_panel_subview;
DROP VIEW public.cabinet_view;
DROP VIEW public.dns_anames_view;
DROP VIEW public.dns_cnames_view;
DROP VIEW public.dns_mxrecords_view;
DROP VIEW public.edit_hardware_types_view;
DROP VIEW public.edit_operating_systems_view;
DROP VIEW public.group_computers_view;
DROP VIEW public.group_fileservers_report;
DROP VIEW public.group_fileservers_view;
DROP VIEW public.hardware_basic_view;
DROP VIEW public.hardware_full_view;
DROP VIEW public.hardware_support_report;
DROP VIEW public.hardware_system_image_subview;
DROP VIEW public.ip_address_pick;
DROP VIEW public.ips_without_hardware_report;
DROP VIEW public.ips_without_hostnames_view;
DROP VIEW public.patch_panel_cabinet_subview;
DROP VIEW public.patch_panel_socket_subview;
DROP VIEW public.patch_panel_view;
DROP VIEW public.people_without_staff_reviews_report;
DROP VIEW public.personnel_subview;
DROP VIEW public.printer_system_image_subview;
DROP VIEW public.printers_view;
DROP VIEW public.registration_and_leaving_view;
DROP VIEW public.research_group_editing_view;
DROP VIEW public.research_groups_computing_computers_subview;
DROP VIEW public.research_groups_computing_view;
DROP VIEW public.room_attributes_view;
DROP VIEW public.rooms_with_embs_chnages_report;
DROP VIEW public.rooms_with_local_name_changes_report;
DROP VIEW public.socket_patch_panel_subview;
DROP VIEW public.socket_view;
DROP VIEW public.staff_review_history_subview;
DROP VIEW public.staff_reviews_view;
DROP VIEW public.switch_switchport_subview;
DROP VIEW public.switchport_switch_subview;
DROP VIEW public.switchport_view;
DROP VIEW public.system_image_all_view;
DROP VIEW public.system_image_autoinstaller_view;
DROP VIEW public.system_image_contact_details_subview;
DROP VIEW public.system_image_hardware_subview;
DROP VIEW public.telephone_management_view;
DROP VIEW public.unknown_group_computers_view;
DROP VIEW public.user_account_view;
